SIM (Template)
7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getMailServerTemplate | GET | get mail server |
| modifyMailServerTemplate | PATCH | modify mail server |
| querySimCardQuotaSettingTemplate | GET | Get one of Dual-SIM card's SIM data setting template |
| querySmsPolicySettingTemplate | GET | Query SMS policy setting template |
| modifySmsPolicySettingTemplate | PATCH | Modify SMS policy setting template |
| querySmsRouterCommandTemplate | GET | Query SMS router command template |
| modifySmsRouterCommandTemplate | PATCH | Modify SMS router command template |
getMailServerTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/mails
get mail server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getMailServerTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
get mail server.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyMailServerTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/mails/{mailId}
modify mail server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
mailId | path | string | yes | Mail ID |
Request body — application/json (required) — schema MailServerOpenApiModifyVO
| Field | Type | Required | Description |
|---|---|---|---|
sender | string | yes | The email address of the sender. |
receiver | string | yes | The email address of the receiver, which can be the same as or different from the sender's email address. |
ssl | boolean | yes | Enable this feature, and the data will be transmitted based on the SSL protocol. |
smtpServer | string | no | Enter the domain name or IP address of the SMTP server. |
smtpPort | integer | no | Enter the port used by the SMTP server according to the instructions of your email service provider. |
auth | boolean | yes | Enable this feature if the login of the mailbox requires a username and authorization code. |
username | string | no | When Authentication is enabled, enter your email address as the username. |
authCode | string | no | When Authentication is enabled, enter the authorization code that enables a third party to log in to the mailbox. Note that the authorization code is not the mailbox's password. |
// omada_call_operation
{
"operationId": "modifyMailServerTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"mailId": "<mailId>"
},
"body": "{...}"
}Details, permissions and error codes
modify mail server.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35500 - The adopted gateway does not support mail configurations.
-35502 - The number of mail server has reached the limit.
querySimCardQuotaSettingTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/sim/quota/{simCard}
Get one of Dual-SIM card's SIM data setting template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
simCard | path | string | yes | SIM card. 1: SIM1; 2: SIM2. |
// omada_call_operation
{
"operationId": "querySimCardQuotaSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"simCard": "<simCard>"
}
}Details, permissions and error codes
Get SIM data setting template.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
querySmsPolicySettingTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/sim/sms/policy
Query SMS policy setting template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "querySmsPolicySettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Query SMS policy setting template.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
modifySmsPolicySettingTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/sim/sms/policy
Modify SMS policy setting template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SmaPolicySetting
| Field | Type | Required | Description |
|---|---|---|---|
inboxPolicy | integer | yes | Policy parameter [inboxPolicy] should be from 0 to 2. 0: If SMS inbox/outbox is full, delete the oldest read SMS; 1: If SMS inbox/outbox is full, send e-mail alert to Administrator;2: If SMS inbox/outbox is full, Forward new SMS with e-mail to Administrator. |
mailServer | string | no | Mail server ID. |
resource | integer | no | SMS policy setting creation resource, such as: 0: new created, 1: from template, 2: override. |
// omada_call_operation
{
"operationId": "modifySmsPolicySettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SMS policy setting template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
-35503 - The mail server does not config.
-44405 - The configuration has been overridden.
querySmsRouterCommandTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/sim/sms/router-command
Query SMS router command template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "querySmsRouterCommandTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Query SMS router command template.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
modifySmsRouterCommandTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/sim/sms/router-command
Modify SMS router command template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SmsRouterCommand
| Field | Type | Required | Description |
|---|---|---|---|
rebootEnable | boolean | yes | Whether to enable the control of device restart via SMS. |
reboot | Reboot | no | (Reboot not expanded; call omada_get_schema "Reboot") |
statusEnable | boolean | yes | Whether to enable Viewing device-related information and WAN port-related information via SMS. |
status | Status | no | (Status not expanded; call omada_get_schema "Status") |
accessEnable | boolean | yes | Whether to enable the allow list of the above functions, and only allow users in the list to interact with the device. |
access | Access | no | (Access not expanded; call omada_get_schema "Access") |
resource | integer | no | The SMS router command setting creation resource, such as: 0: new created, 1: from template, 2: override. |
// omada_call_operation
{
"operationId": "modifySmsRouterCommandTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SMS router command template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
-44405 - The configuration has been overridden.